"use strict";

var _assert = _interopRequireDefault(require("assert"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _json = _interopRequireDefault(require("json5"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function (api, option) {
  // {
  //   "presets": [
  //     "@virtualpatterns/babel-preset-mablung-makefile"
  //   ],
  //     "overrides": [
  //       {
  //         "include": [
  //         ],
  //         "plugins": [
  //           [
  //             "@virtualpatterns/babel-plugin-mablung-replace-identifier",
  //             {
  //             }
  //           ]
  //         ]
  //       }
  //     ],
  //       "plugins": [
  //         "@babel/plugin-syntax-import-meta",
  //         [
  //           "@virtualpatterns/babel-plugin-mablung-replace-identifier",
  //           {
  //           }
  //         ]
  //       ],
  //         "env": {
  //     "from-esmodule-to-commonjs": {
  //       "plugins": [
  //         [
  //           "@virtualpatterns/babel-plugin-mablung-replace-identifier",
  //           {
  //           }
  //         ],
  //         [
  //           "@virtualpatterns/babel-plugin-mablung-replace-string-literal",
  //           {
  //           }
  //         ]
  //       ],
  //         "presets": [
  //           [
  //             "@babel/preset-env",
  //             {
  //             }
  //           ]
  //         ]
  //     }
  //   }
  // }
  let configuration = _json.default.parse(_fsExtra.default.readFileSync(_path.default.resolve(__dirname, '../babel.config.json'), {
    'encoding': 'utf-8'
  })); // preset


  _assert.default.strictEqual(configuration.presets[0], '@virtualpatterns/babel-preset-mablung-makefile');

  configuration.presets[0] = require(configuration.presets[0]); // overrides

  _assert.default.strictEqual(configuration.overrides[0].plugins[0][0], '@virtualpatterns/babel-plugin-mablung-replace-identifier');

  configuration.overrides[0].plugins[0][0] = require(configuration.overrides[0].plugins[0][0]); // default plugin

  _assert.default.strictEqual(configuration.plugins[0], '@babel/plugin-syntax-import-meta');

  configuration.plugins[0] = require(configuration.plugins[0]);

  _assert.default.strictEqual(configuration.plugins[1][0], '@virtualpatterns/babel-plugin-mablung-replace-identifier');

  configuration.plugins[1][0] = require(configuration.plugins[1][0]); // env from-esmodule-to-commonjs

  _assert.default.strictEqual(configuration.env['from-esmodule-to-commonjs'].plugins[0][0], '@virtualpatterns/babel-plugin-mablung-replace-identifier');

  configuration.env['from-esmodule-to-commonjs'].plugins[0][0] = require(configuration.env['from-esmodule-to-commonjs'].plugins[0][0]);

  _assert.default.strictEqual(configuration.env['from-esmodule-to-commonjs'].plugins[1][0], '@virtualpatterns/babel-plugin-mablung-replace-string-literal');

  configuration.env['from-esmodule-to-commonjs'].plugins[1][0] = require(configuration.env['from-esmodule-to-commonjs'].plugins[1][0]);

  _assert.default.strictEqual(configuration.env['from-esmodule-to-commonjs'].presets[0][0], '@babel/preset-env');

  configuration.env['from-esmodule-to-commonjs'].presets[0][0] = require(configuration.env['from-esmodule-to-commonjs'].presets[0][0]);
  return configuration;
};

//# sourceMappingURL=index.cjs.map